com.taosdata.jdbc.common

## Class SerializeBlock

- java.lang.Object
- - com.taosdata.jdbc.common.SerializeBlock

    public class SerializeBlock
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `getColTotalLength(TableInfo tableInfo, int toBebindColCount)`
`static int` `getColumnSize(ColumnInfo column)`
`static io.netty.buffer.ByteBuf` `getStmt2BindBlock(HashMap<ByteBuffer,TableInfo> tableInfoMap, StmtInfo stmtInfo, long reqId)`
`static io.netty.buffer.ByteBuf` `getStmt2BindBlock(long reqId, long stmtId, HashMap<ByteBuffer,TableInfo> tableInfoMap, int toBeBindTableNameIndex, int toBebindTagCount, int toBebindColCount, int precision)`
`static int` `getTagTotalLength(TableInfo tableInfo, int toBebindTagCount)`
`static byte[]` `intToBytes(int v)`
`static byte[]` `longToBytes(long v)`
`static void` `serializeByteArray(io.netty.buffer.ByteBuf buf, byte[] data)`
`static byte[]` `shortToBytes(int v)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### serializeByteArray

    public static void serializeByteArray(io.netty.buffer.ByteBuf buf,
                                          byte[] data)

#### getTagTotalLength

    public static int getTagTotalLength(TableInfo tableInfo,
                                        int toBebindTagCount)
                                 throws SQLException

Throws:
  `SQLException`

#### getColTotalLength

    public static int getColTotalLength(TableInfo tableInfo,
                                        int toBebindColCount)
                                 throws SQLException

Throws:
  `SQLException`

#### getColumnSize

    public static int getColumnSize(ColumnInfo column)
                             throws SQLException

Throws:
  `SQLException`

#### getStmt2BindBlock

    public static io.netty.buffer.ByteBuf getStmt2BindBlock(HashMap<ByteBuffer,TableInfo> tableInfoMap,
                                                            StmtInfo stmtInfo,
                                                            long reqId)
                                                     throws SQLException

Throws:
  `SQLException`

#### getStmt2BindBlock

    public static io.netty.buffer.ByteBuf getStmt2BindBlock(long reqId,
                                                            long stmtId,
                                                            HashMap<ByteBuffer,TableInfo> tableInfoMap,
                                                            int toBeBindTableNameIndex,
                                                            int toBebindTagCount,
                                                            int toBebindColCount,
                                                            int precision)
                                                     throws SQLException

Throws:
  `SQLException`

#### shortToBytes

    public static byte[] shortToBytes(int v)

#### intToBytes

    public static byte[] intToBytes(int v)

#### longToBytes

    public static byte[] longToBytes(long v)